/* $Id: plist.h,v 1.1 2001/09/17 21:33:43 aa5779 Exp $ */
#ifndef PLIST_H
#define PLIST_H

#include "dstring.h"
#include "interp.h"

#ifndef PLIST_IMP
extern storage_class plist_storage_class;
#endif

storage *plist_create(interpreter *i, char *name, char *arg);

void plist_destroy(interpreter *i, storage *s);

int plist_check(interpreter *i, storage *s, dstring *key);
dstring *plist_get(interpreter *i, storage *s, dstring *key);

void plist_put(interpreter *i, storage *s, dstring *key, dstring *val);
void plist_add(interpreter *i, storage *s, dstring *key, dstring *val);

void plist_remove(interpreter *i, storage *s, dstring *key);

dstring *plist_first(interpreter *i, storage *s, void **iter);
dstring *plist_next(interpreter *i, storage *s, void **iter);
void plist_enditer(interpreter *i, storage *s, void **iter);

int plist_numofitems(interpreter *i, storage *s);

#endif
